import { JsonRpcProvider, CommunityResourcable } from '@ethersproject/providers';
import { Network as NetworkFromEthers, Networkish } from '@ethersproject/networks';
/**
 * SDK's custom implementation of ethers.js's 'AlchemyProvider'.
 *
 * @public
 */
export declare class AlchemyProvider extends JsonRpcProvider implements CommunityResourcable {
    readonly apiKey: string;
    readonly maxRetries: number;
    constructor(network: Networkish, apiKey: string, maxRetries: number);
    /**
     * Overrides the method in ethers.js's `StaticJsonRpcProvider` class. This
     * method is called when calling methods on the parent class `BaseProvider`.
     *
     * @override
     */
    detectNetwork(): Promise<NetworkFromEthers>;
    _startPending(): void;
    /**
     * Overrides the ether's `isCommunityResource()` method. Returns true if the
     * current api key is the default key.
     *
     * @override
     */
    isCommunityResource(): boolean;
    /**
     * Overrides the base {@link JsonRpcProvider.send} method to implement custom
     * logic for sending requests to Alchemy.
     *
     * @param method The method name to use for the request.
     * @param params The parameters to use for the request.
     * @override
     * @public
     */
    send(method: string, params: Array<any>): Promise<any>;
}
